local groupControls = { }

ARC.tlw = nil
local wm = GetWindowManager()

local xdim = 300
local ydim = 50
local ARCWinHidden = nil

function ARC.SetCenter()
	ARC.Vars.XCenter, ARC.Vars.YCenter = ARC.tlw:GetCenter()
	d(ARC.Vars.XCenter .. " " .. ARC.Vars.YCenter)
end

function ARC.Win()
	ARC.tlw = wm:CreateTopLevelWindow("RdyChk")
	ARC.tlw:SetDimensions(xdim,ydim)
	ARC.tlw:SetResizeToFitDescendents(true)
	ARC.tlw:SetAnchor(CENTER, GuiRoot, CENTER, 0 + ARC.Vars.XPos,0 + ARC.Vars.YPos)
	ARC.SetCenter()
	ARC.tlw:SetMovable(false)
	ARC.tlw:SetMouseEnabled(true)

	lbl = wm:CreateControl("lbl", ARC.tlw, CT_LABEL)
	lbl:SetColor(0.8,0.8,0.8,1)
	lbl:SetFont("ZoFontAlert")
	lbl:SetScale(1)
	lbl:SetWrapMode(TEX_MODE_CLAMP)
	lbl:SetDrawLayer(1)
	lbl:SetText("Ready Check")
	lbl:SetAnchor(TOPLEFT, ARC.tlw, nil, 0, 25-(ydim/2))
	lbl:SetDimensions(250,25)
	ARC.tlw:SetHidden(true)

end



function ARC.Show()
	ARC.tlw:SetHidden(false)
	ARC.FormRdyCheck()
	ARCWinHidden = false
end

function ARC.Hide()
	ARC.tlw:SetHidden(true)
	for i = 1, table.getn(groupControls) do
		groupControls[i]:SetHidden(true)
	end
	ARCWinHidden = true
end


function ARC.FormRdyCheck()
	for i = 1 , GetGroupSize() do 
		chk = 0
		if table.getn(groupControls) ~= nil then
			for x = 1, table.getn(groupControls) do
				if GetUnitName(GetGroupUnitTagByIndex(i)) == groupControls[x]:GetName() then
					chk = x
				end
			end
		end
		if chk > 0 then
			groupControls[chk]:SetAnchor(TOPLEFT, ARC.tlw, nil, 0, 25+(i*25))
			if ARC.Vars.ColorBlind == false then
				groupControls[chk]:SetColor(1,0.8,0,1)
			else
				groupControls[chk]:SetColor(0,0.5,0.5,1)
			end
			groupControls[chk]:SetHidden(false)
		else
			j = 1 + table.getn(groupControls)
			local member = wm:CreateControl(GetUnitName(GetGroupUnitTagByIndex(i)), ARC.tlw, CT_LABEL)
			if ARC.Vars.ColorBlind == false then
				member:SetColor(1,0.8,0,1)
			else
				member:SetColor(0,0.5,0.5,1)
			end
			member:SetFont("ZoFontAlert")
			member:SetScale(1)
			member:SetWrapMode(TEX_MODE_CLAMP)
			member:SetDrawLayer(1)
			member:SetText(GetUnitName(GetGroupUnitTagByIndex(i)))
			member:SetAnchor(TOPLEFT, ARC.tlw, nil, 0,25+(i*25))
			member:SetDimensions(250,25)
			groupControls[j] = member
		end
	end
end

function ARC.PlayerReady(pName)	
	if groupControls[ARC.GetPlayerLocation(pName)] ~= nil then
		if ARC.Vars.ColorBlind == false then
			groupControls[ARC.GetPlayerLocation(pName)]:SetColor(0,1,0,1)
		else 
			groupControls[ARC.GetPlayerLocation(pName)]:SetColor(0,0,1,1)
		end
	end
end

function ARC.GetPlayerLocation(pName)
	for i = 1, table.getn(groupControls) do
		if groupControls[i]:GetName() == pName then return i end
	end
end