
local groupControls = { }
local tlw = nil
local wm = GetWindowManager()
local UI = {}

UI.ARC_ListFragmentClass = ZO_Object:Subclass()
function UI.ARC_ListFragmentClass:New()
  local obj = ZO_Object.New(self)
  obj:Initialize()
  return obj
end

function UI.ARC_ListFragmentClass:Initialize()
	local fragment = self
	fragment.win = WINDOW_MANAGER:CreateTopLevelWindow(
                   "ARCListFragment")
	tlw = fragment.win:CreateTopLevelWindow("RdyChk")
	tlw:SetDimensions(xdim,ydim)
	tlw:SetResizeToFitDescendents(true)
	tlw:SetAnchor(CENTER, GuiRoot, CENTER, 0 + ARC.Vars.XPos,0 + ARC.Vars.YPos)
	--ARC.SetCenter()
	tlw:SetMovable(false)
	tlw:SetMouseEnabled(true)

	lbl = wm:CreateControl("lbl", tlw, CT_LABEL)
	lbl:SetColor(0.8,0.8,0.8,1)
	lbl:SetFont("ZoFontAlert")
	lbl:SetScale(1)
	lbl:SetWrapMode(TEX_MODE_CLAMP)
	lbl:SetDrawLayer(1)
	lbl:SetText("Ready Check")
	--lbl:SetAnchor(TOPLEFT, tlw, nil, 0, 25-(ydim/2))
	lbl:SetDimensions(250,25)
	tlw:SetHidden(false)
	fragment.FRAGMENT = ZO_FadeSceneFragment:New(fragment.win)

end


function ARC.FillWin()
	for i = 1 , GetGroupSize() do 
		chk = 0
		if table.getn(groupControls) ~= nil then
			for x = 1, table.getn(groupControls) do
				if GetUnitName(GetGroupUnitTagByIndex(i)) == groupControls[x]:GetName() then
					chk = x
				end
			end
		end
		if chk > 0 then
			groupControls[chk]:SetAnchor(TOPLEFT, tlw, nil, 0, 25+(i*25))
			if ARC.Vars.ColorBlind == false then
				groupControls[chk]:SetColor(1,0.8,0,1)
			else
				groupControls[chk]:SetColor(0,0.5,0.5,1)
			end
			groupControls[chk]:SetHidden(false)
		else
			j = 1 + table.getn(groupControls)
			local member = wm:CreateControl(GetUnitName(GetGroupUnitTagByIndex(i)), tlw, CT_LABEL)
			if ARC.Vars.ColorBlind == false then
				member:SetColor(1,0.8,0,1)
			else
				member:SetColor(0,0.5,0.5,1)
			end
			member:SetFont("ZoFontAlert")
			member:SetScale(1)
			member:SetWrapMode(TEX_MODE_CLAMP)
			member:SetDrawLayer(1)
			member:SetText(GetUnitName(GetGroupUnitTagByIndex(i)))
			member:SetAnchor(TOPLEFT, tlw, nil, 0,25+(i*25))
			member:SetDimensions(250,25)
			groupControls[j] = member
		end
	end
end