function ARC.CreateScene()
    ARC_SCENE = ZO_Scene:New("Ready Check", SCENE_MANAGER)
    ARC_SCENE:AddFragmentGroup(FRAGMENT_GROUP.MOUSE_DRIVEN_UI_WINDOW)
    ARC_SCENE:AddFragmentGroup(FRAGMENT_GROUP.FRAME_TARGET_STANDARD_RIGHT_PANEL)
    ARC_SCENE:AddFragment(RIGHT_BG_FRAGMENT)
    ARC_SCENE:AddFragment(DISPLAY_NAME_FRAGMENT)
    ARC_SCENE:AddFragment(TITLE_FRAGMENT)
    ARC_SCENE:AddFragment(GROUP_TITLE_FRAGMENT)
    ARC_SCENE:AddFragment(GROUP_MEMBERS_FRAGMENT)
    ARC_SCENE:AddFragment(GROUP_WINDOW_SOUNDS)
    ARC_SCENE:AddFragment(PLAYER_PROGRESS_BAR_FRAGMENT)
    ARC_SCENE:AddFragment(PLAYER_PROGRESS_BAR_CURRENT_FRAGMENT)

    --AutoInvite Fragments
    --ARC_SCENE:AddFragment(AI_SMALL_GROUP_LIST_FRAGMENT)
    --ARC_SCENE:AddFragment(AUTO_INVITE_OPTIONS_FRAGMENT)
    ARC_SCENE:AddFragment(ARC_ListFragment.FRAGMENT)

    local indx = #MAIN_MENU.sceneGroupInfo.groupSceneGroup.menuBarIconData + 1
    MAIN_MENU.sceneGroupInfo.groupSceneGroup.menuBarIconData[indx] = {
        categoryName = SI_READY_CHECK,
        descriptor = "Ready Check",
        normal = "/esoui/art/cadwell/cadwell_indexicon_gold_up.dds",
        pressed = "/esoui/art/cadwell/cadwell_indexicon_gold_down.dds",
        highlight = "/esoui/art/cadwell/cadwell_indexicon_gold_over.dds",
    }

    SCENE_MANAGER:GetSceneGroup("groupSceneGroup").scenes[indx] = "Ready Check"
    ARC_SCENE:AddFragment(ZO_FadeSceneFragment:New(MAIN_MENU.sceneGroupBar))

    --TODO: Constant for the magic number?
    MAIN_MENU:AddRawScene("Ready Check", 6, MAIN_MENU.categoryInfo[6], "groupSceneGroup")
end